#
# spec file for package ocaml-cudf
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_with ocaml_cudf_testsuite
%define build_flavor %nil
%if "%build_flavor" == "testsuite"
%if %{without ocaml_cudf_testsuite}
ExclusiveArch:  do-not-build
%else
%endif
%define nsuffix -testsuite
%else
%define nsuffix %nil
%endif

%define     pkg ocaml-cudf
Name:           %pkg%nsuffix
Version:        0.10
Release:        4.1
%{?ocaml_preserve_bytecode}
Summary:        Ocaml CUDF library
License:        LGPL-3.0-or-later WITH OCaml-LGPL-linking-exception
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/cudf
Source0:        %pkg-%version.tar.xz
Patch0:         allow_underscore.patch
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20231101
BuildRequires:  ocamlfind(extlib)

%if "%build_flavor" == "testsuite"
BuildRequires:  ocamlfind(cudf)
BuildRequires:  ocamlfind(ounit2)
%endif
%description
CUDF (for Common Upgradeability Description Format) is a format for describing upgrade scenarios in package-based Free and Open Source Software distribution. This is reference implementation in Ocaml.

%package devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1 -n %pkg-%version

%build
dune_release_pkgs='cudf'
%ocaml_dune_setup
%if "%build_flavor" == ""
%ocaml_dune_build
%endif

%install
%if "%build_flavor" == ""
%ocaml_dune_install
%ocaml_create_file_list
%endif

%if "%build_flavor" == "testsuite"
%check
%ocaml_dune_test
%endif

%if "%build_flavor" == ""
%files -f %name.files
%_bindir/*

%files devel -f %name.files.devel

%endif

%changelog
* Mon May  5 2025 ohering@suse.de
- This software is licensed under LGPL-3.0 since 2009
* Fri Apr  4 2025 ohering@suse.de
- Remove ExclusiveArch 64bit
* Wed Mar 26 2025 ohering@suse.de
- Relax ocaml-rpm-macros requirement
* Mon Mar  3 2025 ohering@suse.de
- Update to version 0.10
  see included ChangeLog file for details
- Remove obsolete ocaml-cudf.patch
* Fri Apr  9 2021 ohering@suse.de
- Use ocaml-cudf.patch to build with dune instead of oasis
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Mon Jul 17 2017 ohering@suse.de
- Remove autodeps for pre openSUSE 12.1 releases
* Wed May 31 2017 olaf@aepfle.de
- Replace tabs with spaces in generated _oasis file
* Wed May 17 2017 olaf@aepfle.de
- Update to version 0.9
- Build with oasis
* Tue Nov 10 2015 ohering@suse.de
- Add hardcoded Provides for pre 12.1 repos
* Tue Jun 23 2015 ohering@suse.de
- Update to 0.8
* Thu Sep 25 2014 sleep_walker@suse.cz
- allow_underscore.patch:
  add '_' among possible characters for package name
* Wed Sep 24 2014 sleep_walker@suse.cz
- build also native code
* Wed Sep 24 2014 sleep_walker@suse.cz
- let there be ocaml-cudf!
